<div class="inline-templates" id="preTpl">
<!--
<pre>
%CONTENT%
</pre>
-->
</div>


<div class="inline-templates" id="serverTpl">
<!--
	<option title="%HINT%" value="%INDEX%" %SELECTED%>%LABEL%</option>
-->
</div>

<div class="inline-templates" id="serviceTpl">
<!--
    <option value="%INDEX%" %SELECTED% %INDEX_KEY% title="%TITLE%">%LABEL%%SEPARATOR%%QUERY%%EXTRAS%%ORIGIN%</option>
-->
</div>

<div class="inline-templates" id="serviceExtrasTpl">
<!--
  &nbsp;&nbsp;[%EXTRAS%]
-->
</div>

<div class="inline-templates" id="serviceSeparatorTpl">
<!--
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-->
</div>

<div class="inline-templates" id="serviceDefaultTpl">
<!--
  &nbsp;&nbsp;&nbsp;&lt;read from default service list&gt;
-->
</div>

<div class="inline-templates" id="serviceDisabledTpl">
<!--
	<option disabled="disabled" class="disabledOption">%LABEL%</option>
-->
</div>

<div class="inline-templates" id="clickableJsonError_tpl">
<!--
<span class="clickableJsonError" onclick="query_window.setCursorAtPosition($2);">$1 $2</span>
-->
</div>

<div class="inline-templates" id="queryTpl">
<!--
	<li class="query" id="query-%NUMBER%" data-number="%NUMBER%">
		<span title="use query with%SERVICE%" onclick="main.useQuery(%NUMBER%)">
            <span class="symbol link use-query">
                %ARROW%
            </span>
            <span class="link">
                %TITLE%
            </span>
        </span>
		<span title="delete query" onclick="stored_queries.deleteQuery(%NUMBER%);" class="symbol link">x</span>
		<span title="copy query name to new" onclick="stored_queries.useQueryName(%NUMBER%); $('#selector_query_name').focus();" class="symbol link copy">&#128203;</span>
        <span title="query notes%NOTE_CHAR_COUNT%" alt-title="query notes" onclick="stored_queries.showNotes(%NUMBER%);" class="symbol link">%NOTES%</span>
		<span title="select this query" class="symbol link export" style="display:none">
			<input type="checkbox" class="query-export" style="display:none;" id="export-%NUMBER%" onchange="gui.checkExportQueryToggle(%NUMBER%);stored_queries.selectedQueryCount();" checked="checked" />
			<label title="select this query" for="export-%NUMBER%">
				<span id="export-%NUMBER%-off" class="symbol link off" style="display:none;">&#9744;</span>
				<span id="export-%NUMBER%-on" class="symbol link on">&#9745;</span>
			</label>
		</span>
	</li>
-->
</div>

<div class="inline-templates" id="maintenance_queryTpl">
<!--

    <li class="query-list-item list-query-item" id="query-%NUMBER%" data-id="%NUMBER%" data-drag="query-%NUMBER%">

        <span title="show query" onclick="maintenance.showQuery(%NUMBER%)" class="symbol link use-query">
            <div class="icon-container icon-eye"></div>
        </span>

        %TITLE%

        <span
            title="delete query"
            onclick="stored_queries.deleteQuery(%NUMBER%);maintenance.refreshQueryTree();"
            class="symbol link">x</span>

        <span class="query-name-update query-%NUMBER%" style="display:none">
            <input type="hidden" value="%TITLE%" data-id="query-%NUMBER%">
            <input type="text" value="%TITLE%" data-id="query-%NUMBER%">
            <input type="button" value="rename" data-id="query-%NUMBER%" onclick="maintenance.updateQueryName(this);">
            <span onclick="$('.query-name-update.query-%NUMBER%').toggle();" class="link" title="cancel">
                &#128473;
            </span>
        </span>

        <span
            class="query-name-update query-%NUMBER% link"
            onclick="$('.query-name-update.query-%NUMBER%').toggle();" style="font-size: 1.5em"
            title="edit query name">
            &#9998;
        </span>


    </li>

-->
</div>

<div class="inline-templates" id="maintenance_groupTpl">
<!--

    <li class="query-list-item list-group-item" data-id="%HASH%" data-drag="group-%HASH%">

        <span class="group" data-id="%HASH%"><span class="symbol">&boxbox;&nbsp;</span>%TITLE% (<span id="count-%HASH%">0</span>)</span>

        <span class="group-name-update group-%HASH%" style="display:none">
            <input type="hidden" value="%TITLE%" data-id="group-%HASH%">
            <input type="text" value="%TITLE%" data-id="group-%HASH%">
            <input type="button" value="rename" data-id="group-%HASH%" onclick="maintenance.updateGroupName(this);">
            <span onclick="$('.group-name-update.group-%HASH%').toggle();" class="link" title="cancel">
                &#128473;
            </span>
        </span>

        <span
            class="group-name-update group-%HASH% link"
            onclick="$('.group-name-update.group-%HASH%').toggle();" style="font-size: 1.5em"
            title="edit group name">
            &#9998;
        </span>
        <ul
            class="queries group-queries query-list-item list-group nested-sortable"
            id="group-%HASH%"
            data-drag="group-%HASH%"
            data-group="%TITLE%"
        >
        </ul>
    </li>
-->
</div>


<div class="inline-templates" id="noteSymbolTpl">
<!--
	&#8795;&nbsp;
-->
</div>

<div class="inline-templates" id="emptyNoteSymbolTpl">
<!--
	&equiv;&nbsp;
-->
</div>

<div class="inline-templates" id="useQuerySymbolTpl">
<!--
	<span class="arrow-use-query">&#10229;</span>
-->
</div>

<div class="inline-templates" id="useQuerySymbolAndServiceTpl">
<!--
	<span class="arrow-use-query-and-service">&#10229;</span>
-->
</div>

<div class="inline-templates" id="groupTpl">
<!--
	<li class="query-group" data-id="%HASH%" draggable="false">
		<span class="group" data-id="%HASH%"><span class="symbol">&boxbox;&nbsp;</span>%TITLE% (<span id="count-%HASH%">0</span>)</span>
		<span title="copy group name to new" onclick="stored_queries.useGroupName('%TITLE%');$('#selector_query_name').focus();" class="symbol link copy">&#128203;</span>
		<span title="select queries" class="symbol link export" style="display:none">
			<input type="checkbox" class="query-group-select" id="group-export-%HASH%" style="display:none;" onchange="gui.checkExportGroupToggle('%HASH%');stored_queries.selectedQueryCount();" checked="checked" />
			<label title="select queries" for="group-export-%HASH%">
				<span id="group-export-%HASH%-off" class="symbol link off" style="display:none;">&#9744;</span>
				<span id="group-export-%HASH%-on" class="symbol link on">&#9745;</span>
			</label>
		</span>
        <ul class="queries group-queries" id="group-%HASH%">
        </ul>
	</li>
-->
</div>

<div class="inline-templates"
    id="example_1_tpl"
    data-group="example_queries"
    data-label="[EXAMPLES] Bee specimens collected outside of The Netherlands & Belgium"
    data-path="/v2/specimen/query/?_querySpec=">
<!--
{
    "constantScore": true,
    "conditions": [
        {
            "field": "identifications.defaultClassification.genus",
            "operator": "=",
            "value": "Bombus"
        },
        {
            "not": "NOT",
            "field": "gatheringEvent.country",
            "operator": "EQUALS_IC",
            "value": "Netherlands",
            "or": [
                {
                    "field": "gatheringEvent.country",
                    "operator": "EQUALS_IC",
                    "value": "Belgium"
                }
            ]
        }
    ],
    "size": 50
}
-->
</div>


<div class="inline-templates"
    id="example_3_tpl"
    data-group="example_queries"
    data-label="[EXAMPLES] Specimens w/ multimedia of genus Rheum, collected by M. Buysman in 1880-1890, showing only gathering event and multimedia info"
    data-path="/v2/specimen/query/?_querySpec=">
<!--
{
    "conditions": [
        {
            "field": "identifications.scientificName.genusOrMonomial",
            "operator": "EQUALS_IC",
            "value": "Rheum"
        },
        {
            "field": "gatheringEvent.gatheringPersons.fullName",
            "operator": "CONTAINS",
            "value": "Buysman"
        },
        {
            "field": "associatedMultiMediaUris.format",
            "operator": "NOT_EQUALS",
            "value": null
        },
        {
            "field": "gatheringEvent.dateTimeBegin",
            "operator": ">",
            "value": "1880-01-01",
            "and": [
                {
                    "field": "gatheringEvent.dateTimeBegin",
                    "operator": "<",
                    "value": "1890-01-01"
                }
            ]
        }
    ],
    "fields": [
        "gatheringEvent",
        "associatedMultiMediaUris"
    ]
}
-->
</div>


<div class="inline-templates"
    id="example_4_tpl"
    data-group="example_queries"
    data-label="[EXAMPLES] Multimedia records from the Dutch Species Register with a CC0 license (simple query type)"
    data-path="/v2/multimedia/query/?">
<!--
sourceSystem.code=NSR&license=CC0
-->
</div>

<div class="inline-templates"
    id="example_4b_tpl"
    data-group="example_queries"
    data-label="[EXAMPLES] Multimedia records from the Dutch Species Register with any CC-type license (advanced query type)"
    data-path="/v2/multimedia/query/?_querySpec=">
<!--
{
    "conditions": [
        {
            "field": "sourceSystem.code",
            "operator": "=",
            "value": "NSR"
        },
        {
            "field": "license",
            "operator": "NOT_EQUALS_IC",
            "value": "All rights reserved"
        }
    ]
}
-->
</div>


<div class="inline-templates"
    id="example_5_tpl"
    data-group="example_queries"
    data-label="[EXAMPLES] Collection multimedia for 'pimpelmees', adult male specimens only, showing only caption and multimedia details"
    data-path="/v2/multimedia/queryWithNameResolution/?_querySpec=">
<!--
{
    "nameResolutionRequest": {
        "searchString": "pimpelmees",
        "nameTypes": [
            "VERNACULAR_NAME"
        ],
        "searchType": "WHOLE_WORDS",
        "useCoL": false,
        "fuzzyMatching": false
    },
    "conditions": [
        {
            "field": "sourceSystem.code",
            "operator": "=",
            "value": "CRS"
        },
        {
            "field": "sexes",
            "operator": "=",
            "value": "male"
        },
        {
            "field": "phasesOrStages",
            "operator": "=",
            "value": "adult"
        }
    ],
    "logicalOperator": "AND",
    "fields": [
        "serviceAccessPoints",
        "caption"
    ]
}
-->
</div>


<div class="inline-templates"
    id="example_6_tpl"
    data-group="example_queries"
    data-label="[EXAMPLES] 100 plant specimens collected on St. Eustasius (by coordinates)"
    data-path="/v2/specimen/query/?_querySpec=">
<!--
{
    "conditions": [
        {
            "field": "gatheringEvent.siteCoordinates.geoShape",
            "operator": "IN",
            "value": " { \"type\": \"Polygon\", \"coordinates\": [ [ [ -62.99860954284667, 17.530703104141548 ], [ -63.00624847412109, 17.53053941538759 ], [ -63.0124282836914, 17.506393706993393 ], [ -62.998266220092766, 17.47667780340595 ], [ -62.971487045288086, 17.454899431560474 ], [ -62.944450378417976, 17.46759015288678 ], [ -62.94041633605956, 17.492150326224376 ], [ -62.9768943786621, 17.524400980488355 ], [ -62.99860954284667, 17.530703104141548 ] ] ] } "
        },
        {
            "field": "identifications.defaultClassification.kingdom",
            "operator": "=",
            "value": "Plantae"
        }
    ],
    "from" : 0,
    "size": 100
}
-->
</div>

<div class="inline-templates"
    id="example_7_tpl"
    data-group="example_queries"
    data-label="[EXAMPLES] 100 specimens collected in Japan (by country name) by collectors whose name contains 'siebold'"
    data-path="/v2/specimen/query/?_querySpec=">
<!--
{
    "conditions": [
        {
            "field": "gatheringEvent.siteCoordinates.geoShape",
            "operator": "IN",
            "value": "Japan"
        },
        {
            "field": "gatheringEvent.gatheringPersons.fullName",
            "operator": "CONTAINS",
            "value": "siebold"
        }
    ],
    "from" : 0,
    "size": 100
}

// By querying the 'geoShape' field using a named area, like a country, you can search for geo-referenced specimen without having
// to specify the actual geographic coordinates. The available named areas can be found through the geo-endpoints.
// N.b., this text also illustrates how you can save comments with your query without having them interfere with its execution.
-->
</div>


<div class="inline-templates"
    id="example_8_tpl"
    data-group="example_queries"
    data-label="[EXAMPLES] Families w/ specimen count, aggregated by order, of plant specimen collected in Borneo"
    data-path="/v2/specimen/getDistinctValuesPerGroup/">
<!--
identifications.defaultClassification.order/identifications.defaultClassification.family
{
    "conditions": [
        {
            "field": "gatheringEvent.locality",
            "operator": "CONTAINS",
            "value": "Borneo"
        },
        {
            "field": "identifications.defaultClassification.kingdom",
            "operator": "=",
            "value": "Plantae"
        }
    ],
    "size": 1000
}
-->
</div>

<div class="inline-templates" id="emptyQueryTpl">
<!--
{}
-->
</div>

<div class="inline-templates" id="emptyFieldQueryTpl">
<!--
sourceSystem.name
{ "size" : 10 }
-->
</div>

<div class="inline-templates" id="emptyGroupFieldQueryTpl">
<!--
sourceInstitutionID/sourceSystem.code
{ "size" : 10 }
-->
</div>

<div class="inline-templates" id="hashEqualsTpl">
<!--
PHByZSBzdHlsZT0iZm9udC1mYW1pbHk6bW9ub3NwYWNlOyBmb250LXNpemU6MTBweCI+ICAuICAgICAgIC4KICB8XF9fX19fL3wKICB8ICAgICAgIHwKICB8W19dIFtfXXwKICB8ICAgViAgIHwKICB8ICAgICAgIHwKICB8ICAgICAgIHwKLS0tb28tLS1vby0tLQo8L3ByZT4=
-->
</div>

<div class="inline-templates" id="hashGTETpl">
<!--
PHByZSBzdHlsZT0iZm9udC1mYW1pbHk6bW9ub3NwYWNlOyBmb250LXNpemU6MTBweCI+ICAuICAgICAgIC4KICB8XF9fX19fL3wKICB8ICAgICAgIHwKICB8W19dIFtvXXwKICB8ICAgViAgIHwKICB8ICAgICAgIHwKICB8ICAgICAgIHwKLS0tb28tLS1vby0tLQo8L3ByZT4=
-->
</div>

<div class="inline-templates" id="hashLTETpl">
<!--
PHByZSBzdHlsZT0iZm9udC1mYW1pbHk6bW9ub3NwYWNlOyBmb250LXNpemU6MTBweCI+ICAuICAgICAgIC4KICB8XF9fX19fL3wgSE9PT09UIQogIHwgICAgICAgfC8KICB8W29dIFtvXXwKICB8ICAgViAgIHwKICB8ICAgICAgIHwKICB8ICAgICAgIHwKLS0tb28tLS1vby0tLQo8L3ByZT4=
-->
</div>

<div class="inline-templates" id="hashNotEqualsTpl">
<!--
eyJjb25kaXRpb25zIjpbeyJmaWVsZCI6Im93bmVyIiwib3BlcmF0b3IiOiJpbiIsInZhbHVlIjpbImF5Y28iLCJkYXBobmUiLCJtYWFydGVuIiwidG9tIl19XX0=
-->
</div>

<div class="inline-templates" id="usefulLinkTpl">
<!--
	<li class="linksLink">
    	<a href="%URL%" title="%URL%" target="%TARGET%">%LABEL%</a>
        %TARGET_ICON%
	</li>
-->
</div>

<div class="inline-templates" id="usefulLinkTargetIconTpl">
<!--
	<a href="%URL%" title="open in same (new) window" target="links_%I%" class="symbol">&#8599;</a>
-->
</div>

<div class="inline-templates" id="usefulLinkDividerTpl">
<!--
	<li class="linksDivider">%LABEL%</li>
-->
</div>

<div class="inline-templates" id="queryContextMainItemTpl">
<!--
	<span title="%TITLE%" class="context-menu-item" onmouseover="$('[id^=context-]').toggle(false);$('#context-%LOCAL_ID%').toggle(true);">
		%LABEL%
	</span>
-->
</div>

<div class="inline-templates" id="queryContextExtraMainItemsTpl">
<!--
	<span title="%TITLE%" class="context-menu-item context-menu-item-clickable" onclick="%ONCLICK%">
		%LABEL%
	</span>
-->
</div>

<div class="inline-templates" id="queryContextItemsTpl">
<!--
	<ul class="context-menu-subitems" id="context-%LOCAL_ID%">
		%ITEMS%
	</ul>
-->
</div>

<div class="inline-templates" id="queryOperatorContextTpl">
<!--
	<li class="context-menu-item context-menu-subitem" onclick="
            query_window.insertOperator($(this).attr('data-operator'));
            query_window.closeContextMenu();"
        data-operator="%OPERATOR%">%OPERATOR%</li>
-->
</div>

<div class="inline-templates" id="buttonContextTpl">
<!--
    <li class="context-menu-item context-menu-subitem" onclick="
        query_window.insertQueryElement('%LABEL%');
        query_window.closeContextMenu();">%TEXT%</li>
-->
</div>

<div class="inline-templates" id="callFunctionContextTpl">
<!--
    <li
        class="context-menu-item context-menu-subitem"
        onclick="functions.callFunction('%FUNCTION%',%PARAMS%);query_window.closeContextMenu();"
    >%TEXT%</li>
-->
</div>


<div class="inline-templates" id="context_useTabularHeadersAsFieldsTpl">
<!--
    <li
        class="context-menu-item context-menu-subitem"
        onclick="main.useTabularHeadersAsFields();query_window.closeContextMenu();"
    >use visible tabular headers as fields</li>
-->
</div>


<div class="inline-templates" id="codeBitContextTpl">
<!--
	<li class="context-menu-item context-menu-subitem" onclick="
        query_window.insertCodeBit(this);
        query_window.closeContextMenu();" value="%I%">%LABEL%</li>
-->
</div>

<div class="inline-templates" id="codeBitContextHeaderTpl">
<!--
	<li class="context-menu-item context-menu-subitem context-menu-header">%LABEL%</li>
-->
</div>

<div class="inline-templates" id="editContextTpl">
<!--
	<li class="context-menu-item context-menu-subitem" onclick="%ONCLICK%" title="%TITLE%">%LABEL%</li>
-->
</div>

<div class="inline-templates" id="disabledOptionTpl">
<!--
	<option disabled selected>%LABEL%</option>
-->
</div>

<div class="inline-templates" id="completeRequestExportTpl">
<!--
server: %SERVER%
service: %SERVICE% ("%SERVICE_LABEL%")
query:
%QUERY%
URL: %URL%
-->
</div>

<div class="inline-templates" id="documentFieldSuggestionsTpl">
<!--
	<ul>%ITEMS%</ul>
-->
</div>

<div class="inline-templates" id="documentFieldSuggestionTpl">
<!--
	<li class="field-suggestion-items" data-field="%FIELD%" title="click to insert; ctrl+click to add insert with &quot;'s"><div>
		%LABEL% <span class="additional"><span class="type">%TYPE%</span> <span class="indexed">%INDEXED%</span> <span class="operators" title="%OPERATORS%"">[%OPERATOR_GROUPS%]</span></span>
	</div></li>
-->
</div>

<div class="inline-templates" id="nonIndexedDocumentFieldSuggestionTpl">
<!--
	<li class="field-suggestion-items" data-field="%FIELD%" title="click to insert; ctrl+click to add insert with &quot;'s"><div>
		%LABEL% <span class="additional"><span class="indexed">%INDEXED%</span></span>
	</div></li>
-->
</div>

<div class="inline-templates" id="jiraNoFormatTpl">
<!--
{code}
%QUERY%
{code}
-->
</div>

<div class="inline-templates" id="totCountTpl">
<!--
    %COUNT% (of %TOTAL%)
-->
</div>

<div class="inline-templates" id="cursorPositionTpl">
<!--
	<span title="[line: %LINE%, character: %LINE_POS%]">%POS%</span>
-->
</div>

<div class="inline-templates" id="timerListTpl">
<!--
	<b>timer</b><span class="symbol link" style="float:right" onclick="$('.timer').toggle();resizeQueryListPanels();">x</span><br />
	<div class="small">%QUERY%</div>
	<ul>%ITEMS%</ul>
	<div>average: %AVERAGE%ms (%EXEC_COUNT%)</div>
	<span class="symbol link small" title="copy timer average" onclick="timer.copyAverage();">copy</span>
	<span class="symbol link small" title="clear timer" onclick="timer.clear();">clear</span>
<span id="timerClipboard" style="display:none">
[timer]
%SERVER% / %QUERY%
average: %AVERAGE%ms (%EXEC_COUNT% executions)
</span>
-->
</div>

<div class="inline-templates" id="timerCheckpointTpl">
<!--
	<li>
		%EVENT%: %DIFFERENCE%ms
	</li>
-->
</div>

<div class="inline-templates" id="hashesTpl">
<!--
	<b>output hashes</b><span class="symbol link" style="float:right" onclick="$('.hashes').toggle();resizeQueryListPanels();">x</span><br />
	<ul>%ITEMS%</ul>
	<span class="symbol link small" title="clear hashes" onclick="output_hashes.remove();output_hashes.print();">clear</span>
-->
</div>

<div class="inline-templates" id="hashTpl">
<!--
	<li class="%CLASS%">
		%HASH% (%TIMESTAMP%) <span class="symbol link small" title="clear hash" onclick="output_hashes.remove('%I%');output_hashes.print();">x</span>
	</li>
-->
</div>

<div class="inline-templates" id="responseSuccessTpl">
<!--
<pre>
%RESPONSE%
</pre>
-->
</div>

<div class="inline-templates" id="responseErrorTpl">
<!--
	<p>
		<span class="error">error: %ERROR%</span>
	</p>
	<p>
		<span class="message">%MESSAGE%</span>
	</p>
	<p>
		<span class="url">%REQUEST_URI%</span>
	</p>
-->
</div>

<div class="inline-templates" id="nbaErrorMsgTpl">
<!--
  NBA reports: %ERROR%
-->
</div>

<div class="inline-templates" id="otherFormatsMessageTpl">
<!--
<p>
    scratchpad doesn't know how to handle this content-type: %CONTENT_TYPE%
</p>
<p>
    click <a href="%URL%" target="_new">here</a> to open the URL directly.
</p>
-->
</div>

<div class="inline-templates" id="importErrorTpl">
<!--
	<div>
		can't import queries:
	</div>
	<div>
		%ERROR%
	</div>
-->
</div>

<div class="inline-templates" id="importOptionsTpl">
<!--
	while importing, if a query with the same label already exists:
	<ul style="list-style-type:none;">
		<li><label><input type="radio" name="import_strategy" value="skip" checked="checked">don't import it</label></li>
		<li><label><input type="radio" name="import_strategy" value="overwrite">overwrite the existing version</label></li>
		<li><label><input type="radio" name="import_strategy" value="append">append it</label></li>
	</ul>
-->
</div>

<div class="inline-templates" id="saveResultDialogTpl">
<!--
    <p>
        enter download filename (extension and timestamp will be added automatically):
    </p>
    <p>
        <input type="text" id="saveResultFilename" value="" placeholder="type filename" />
        <span class="link" title="reset to default" onclick="results.resetResultFileName();">x</span>
    </p>
    <p>
        <label><input type="checkbox" id="saveResultFilenameCounter" />include auto incrementing counter in filename</label>
    </p>
    <p>
        <input type="button" value="reset counter" onclick="results.resetFileCounter();" />
    </p>

-->
</div>

<div class="inline-templates" id="retrievedBatchCountTpl">
<!--
%RETRIEVED%<span class="padded-slash">/</span>%TOTAL% (%BATCHES%)
-->
</div>

<div class="inline-templates" id="codeBit_condition">
<!--
  { "field" : "__FIELD__", "operator" : "__OPERATOR__", "value" : "__VALUE__", "constantScore" : false, "boost" : 100 },
-->
</div>


<div class="inline-templates" id="codeBit_query">
<!--
{
    "conditions": [
        {
            "field": "__FIELD__",
            "operator": "__OPERATOR__",
            "value": "__VALUE__"
        }
    ],
    "logicalOperator": "AND",
    "from": 0,
    "size": 100
}-->
</div>

<div class="inline-templates" id="codeBit_query_big">
<!--
{
    "conditions": [
        {
            "field": "__FIELD__",
            "operator": "__OPERATOR__",
            "value": "__VALUE__",
            "constantScore": false,
            "boost": __BOOST__,
            "not": "not",
            "or": [
                {
                    "field": "__FIELD__",
                    "operator": "__OPERATOR__",
                    "value": "__VALUE__"
                }
            ]
        }
    ],
    "logicalOperator": "AND",
    "fields": [
        "__FIELD__",
        "__FIELD__",
        "__FIELD__"
    ],
    "sortFields": [
        {
            "path": "__FIELD__",
            "sortOrder": "ASC"
        }
    ],
    "from": 0,
    "size": 100,
    "constantScore": false,
    "specimensFrom": 0,
    "specimensSize": 1000
}
-->
</div>

<div class="inline-templates" id="codeBit_query_name_resolution">
<!--
{
    "conditions": [
        {
            "field": "__FIELD__",
            "operator": "__OPERATOR__",
            "value": "__VALUE__"
        }
    ],
    "nameResolutionRequest": {
        "searchString": "__VALUE__",
        "nameTypes": [
            "ACCEPTED_NAME",
            "SYNONYM",
            "VERNACULAR_NAME"
        ],
        "searchType": "WHOLE_WORDS",
        "useCoL": false,
        "fuzzyMatching": true,
        "from": 0,
        "size": 100
    },
    "logicalOperator": "AND",
    "from": 0,
    "size": 1000
}
-->
</div>

<div class="inline-templates" id="codeBit_query_null_condition">
<!--
{
    "conditions": [
        {
            "field": "__FIELD__",
            "operator": "__OPERATOR__",
            "value": "__VALUE__"
        }
    ],
    "logicalOperator": "AND",
    "from": 0,
    "size": 100
}
-->
</div>


<div class="inline-templates" id="codeBit_nameResolutionRequest">
<!--
{
    "searchString": "__VALUE__",
    "nameTypes": [
        "ACCEPTED_NAME",
        "SYNONYM",
        "VERNACULAR_NAME"
    ],
    "searchType": "EXACT",
    "useCoL": false,
    "fuzzyMatching": false,
    "from": 0,
    "size": 100
}
-->
</div>


<div class="inline-templates" id="helpText_JSONpath">
<!--

This window allows you to navigate through your results using JSONPath. JSONPath uses a syntax
similar to XPath. An introduction can be found <a href="https://goessner.net/articles/JsonPath/" target="_new">here</a>.

You can manually enter JSONPath expressions above. For common results, `$.resultSet[*]` is
usually a good start.

Alternatively, you can double-click elements in the results that appear in this window to add
them to the JSONPath-expression. Inversely, double-clicking on the expression itself will remove
the last part of the expression. This way, you can quickly try out different expressions and
drill down into the data.

Click 'copy' on the title bar of this window to copy the contents of this window.

Here are some example expressions to help you on your way (click to use; please note these only produce output if there's a result set in the result window):

<u>specimen records</u>
<span class="JSONpath_example" onclick="$('#JSONpath').val($(this).html());json_path.findPath();">$.resultSet[*].item.identifications[*].scientificName</span>
<span class="JSONpath_example" onclick="$('#JSONpath').val($(this).html());json_path.findPath();">$.resultSet[*].item.gatheringEvent.gatheringPersons[*].fullName</span>
<span class="JSONpath_example" onclick="$('#JSONpath').val($(this).html());json_path.findPath();">$.resultSet[*].item.associatedMultiMediaUris[*].accessUri</span>

<u>taxon records</u>
<span class="JSONpath_example" onclick="$('#JSONpath').val($(this).html());json_path.findPath();">$.resultSet[*].item.acceptedName.fullScientificName</span>
<span class="JSONpath_example" onclick="$('#JSONpath').val($(this).html());json_path.findPath();">$.resultSet[*].item.references</span>

<u>multimedia records</u>
<span class="JSONpath_example" onclick="$('#JSONpath').val($(this).html());json_path.findPath();">$.resultSet[*].item.serviceAccessPoints[*].accessUri</span>
<span class="JSONpath_example" onclick="$('#JSONpath').val($(this).html());json_path.findPath();">$.resultSet[*].item.gatheringEvents[*].siteCoordinates</span>

-->
</div>

<div class="inline-templates" id="tabularViewHeaderCell_tpl">
<!--
    <th data-col="%COL%" class="cell" title="%DATA%">
        <span data-col="%COL%">%DATA%</span><span data-col="%COL%" style="display:none;">&hellip;</span>
    </th>
-->
</div>

<div class="inline-templates" id="tabularViewVerticalHeaderCell_tpl">
<!--
    <th data-col="%COL%" class="cell left-align" title="%DATA%">
        <span data-col="%COL%">%DATA%</span><span data-col="%COL%" style="display:none;">&hellip;</span>
    </th>
-->
</div>

<div class="inline-templates" id="tabularColumnMessage_tpl">
<!--
    <span class="tabular-warning">
        showing only the first %FIRST% columns.<br />
        (all %ALL% colums will be available in the download)
    </span>
-->
</div>

<div class="inline-templates" id="tabularViewCell_tpl">
<!--
    <td data-col="%COL%" class="cell"><span data-col="%COL%">%DATA%</span></td>
-->
</div>

<div class="inline-templates" id="tabularNoticeCell_tpl">
<!--
    <td class="cell tabular-warning" colspan="%COLSPAN%">%DATA%</td>
-->
</div>

<div class="inline-templates" id="tabularViewRow_tpl">
<!--
    <tr>%DATA%</tr>
-->
</div>

<div class="inline-templates" id="tabularViewTable_tpl">
<!--
    <table class="tabular-data">
        %DATA%
    </table>
-->
</div>

<div class="inline-templates" id="responseTabularTpl">
<!--
%RESPONSE%
-->
</div>

<div class="inline-templates" id="queryHintField_tpl">
<!--
field
-->
</div>

<div class="inline-templates" id="queryHintGroupField_tpl">
<!--
group/field
-->
</div>

<div class="inline-templates" id="queryOptional_tpl">
<!--
{ query (optional) }
-->
</div>

<div class="inline-templates" id="queryHintQuery_tpl">
<!--
{ query }
-->
</div>

<div class="inline-templates" id="queryHintSimpleQuery_tpl">
<!--
name=value
-->
</div>

<div class="inline-templates" id="maxDisplayedMessageTpl">
<!--
for displaying purposes, output has been truncated to %CAP% records, of a total of %ALL% returned by your query.<br />download the results to access the complete set.
-->
</div>

<div class="inline-templates" id="querySessionDialogBodyTpl">
<!--
    <div id="query-session-list-container">
        %LIST%
    </div>
    <div id="query-session-info-container">
        click &#10229; to load query & service; double-click to load and close dialog.
    </div>
    <div id="query-session-clear-all-container">
        <span class="setting link query-session-clear-all" onclick="if (!confirm('are you sure?')) {return;}; query_history.removeAll();query_history.refreshList();">clear all</span>
    </div>
-->
</div>

<div class="inline-templates" id="queryListTpl">
<!--
    <table class="query-list">
        %BODY%
    </table>
-->
</div>

<div class="inline-templates" id="queryListItemTpl">
<!--
    <tr>
        <td class="setting link"
            ondblclick="main.useSessionItem(%ID%);$('#dialog').dialog('close');"
            onclick="main.useSessionItem(%ID%);"
            title="use query"
            >&#10229;</td>
        <td class="query-history-label link"
            onclick="$('span.history-query-%ID%').toggle();"
            title="click to toggle full query"
        >%LABEL%</td>
        <td>%H%:%M%:%S%</td>
        <td class="setting link" onclick="query_history.removeItem(%ID%);query_history.refreshList();">x</td>
    </tr>
    <tr>
        <td></td>
        <td colspan="3"  class="query-history-query">
            <span class="history-query-%ID%">%QUERY_HINT%</span>
            <span class="history-query-%ID%" style="display:none;"><pre>%QUERY_FULL%</pre></span>
        </td>
    </tr>
-->
</div>

<div class="inline-templates" id="queryExampleTpl">
<!--
<div class="query-example">
    <div class="service">
        %SERVICE%
    </div>
    <div class="query">
<pre>
%QUERY%
</pre>
    </div>
    <div class="note">
        %NOTE%
    </div>
</div>
-->
</div>
